IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_g_alldepart_pflevel]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_g_alldepart_pflevel]
GO

create procedure [dbo].[mps_g_alldepart_pflevel](
@cmpid int   
)
as 
begin
  -- 返回部门岗位
  set nocount on
  
  select distinct dp_dpstdid dp_id , dp_dpstdid , dp_depart,dp_fullname+'/'+bg_caption dp_fullname ,
  dp_level , dp_order ,bg_grade 
from mps_depart ,  mps_profession_grade 
where dp_cmpid=@cmpid and  dp_fullname>'' and dp_depart>'' and dp_isdepart=0  
order by dp_level , dp_order , bg_grade  
 
 
  set nocount off
end